import request from '@/utils/request'

// 查询客户跟进记录列表
export function listFollow(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/follow/list',
    method: 'get',
    params: query
  })
}

// 查询客户跟进记录详细
export function getFollow(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/follow/' + id,
    method: 'get'
  })
}

// 新增客户跟进记录
export function addFollow(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/follow',
    method: 'post',
    data: data
  })
}

// 修改客户跟进记录
export function updateFollow(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/follow',
    method: 'put',
    data: data
  })
}

// 删除客户跟进记录
export function delFollow(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/follow/' + id,
    method: 'delete'
  })
}
